%define	lib_major	1
%define	lib_name 	%mklibname %{name} %{lib_major}
%define dev_name	%mklibname %{name} -d

Summary:	Utility for managing filesystem extended attributes
Name:		attr
Version:	2.5.1
Release:	%mkrel 1
Source0:	http://git.savannah.gnu.org/cgit/attr.git/snapshot/%{name}-%{version}.tar.xz
License:	GPLv2
Group:		System/Kernel and hardware
URL:		http://savannah.nongnu.org/projects/attr
BuildRequires:	gettext-devel

%description
A set of tools for manipulating extended attributes on filesystem
objects, in particular getfattr(1) and setfattr(1).
An attr(1) command is also provided which is largely compatible
with the SGI IRIX tool of the same name.

%package -n %{lib_name}
Summary:	Main library for libattr
Group:		System/Libraries
License:        LGPLv2.1


%description -n	%{lib_name}
This package contains the library needed to run programs dynamically
linked with libattr.

%package -n %{dev_name}
Summary:	Extended attribute static libraries and headers
Group:		Development/Libraries
License:        LGPLv2.1
Requires:	%{lib_name} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	lib64attr1-devel
Provides: lib64attr1-devel = %{version}-%{release}

%description -n	%{dev_name}
This package contains the libraries and header files needed to
develop programs which make use of extended attributes.
For Linux programs, the documented system call API is the
recommended interface, but an SGI IRIX compatibility interface
is also provided.

Currently only ext2, ext3, JFS and XFS support extended attributes.
The SGI IRIX compatibility API built above the Linux system calls is
used by programs such as xfsdump(8), xfsrestore(8) and xfs_fsr(8).

You should install libattr-devel if you want to develop programs
which make use of extended attributes.  If you install libattr-devel
then you'll also want to install attr.

%prep
%setup -q

%build
./autogen.sh
%configure2_5x \
	--disable-static
%make

%install
make install DESTDIR=%{buildroot}

# fix conflict with man-pages-1.56
rm -fr %{buildroot}{%_mandir/man2,%_datadir/doc}

# Remove unpackaged symlinks
find %{buildroot} -name "*.la" -delete


%files
%config(noreplace) /etc/xattr.conf
%{_bindir}
%{_datadir}

%files -n %{lib_name}
%{_libdir}/lib%{name}.so.%{lib_major}
%{_libdir}/lib%{name}.so.%{lib_major}.*

%files -n %{dev_name}
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc
%{_includedir}/%{name}/


%changelog
* Thu Oct 20 2022 tex - 2.5.1-1pclos2022
- new version

* Sun Dec 19 2021 tex - 2.4.48-2pclos2021
- rebuild against updates

* Fri Apr 12 2019 tex 2.4.48-1pclos2019
- new
